API Reference
=================

mmdet.apis
--------------
.. automodule:: mmdet.apis
    :members:

mmdet.core
--------------

anchor
^^^^^^^^^^
.. automodule:: mmdet.core.anchor
    :members:

bbox
^^^^^^^^^^
.. automodule:: mmdet.core.bbox
    :members:

export
^^^^^^^^^^
.. automodule:: mmdet.core.export
    :members:

mask
^^^^^^^^^^
.. automodule:: mmdet.core.mask
    :members:

evaluation
^^^^^^^^^^
.. automodule:: mmdet.core.evaluation
    :members:

post_processing
^^^^^^^^^^^^^^^
.. automodule:: mmdet.core.post_processing
    :members:

optimizer
^^^^^^^^^^
.. automodule:: mmdet.core.optimizer
    :members:

utils
^^^^^^^^^^
.. automodule:: mmdet.core.utils
    :members:

mmdet.datasets
--------------

datasets
^^^^^^^^^^
.. automodule:: mmdet.datasets
    :members:

pipelines
^^^^^^^^^^
.. automodule:: mmdet.datasets.pipelines
    :members:

mmdet.models
--------------

detectors
^^^^^^^^^^
.. automodule:: mmdet.models.detectors
    :members:

backbones
^^^^^^^^^^
.. automodule:: mmdet.models.backbones
    :members:

necks
^^^^^^^^^^^^
.. automodule:: mmdet.models.necks
    :members:

dense_heads
^^^^^^^^^^^^
.. automodule:: mmdet.models.dense_heads
    :members:

roi_heads
^^^^^^^^^^
.. automodule:: mmdet.models.roi_heads
    :members:

losses
^^^^^^^^^^
.. automodule:: mmdet.models.losses
    :members:

utils
^^^^^^^^^^
.. automodule:: mmdet.models.utils
    :members:
